#include <iostream>
#include <cmath>
#include <algorithm>
using namespace std;

void pairsort(int a[],int b[], int n)
{
    pair<int,int> pairt[n];
  

    for (int i = 0; i < n; i++) 
    {
        pairt[i].first = a[i];
        pairt[i].second = b[i];
    }
   
    sort(pairt, pairt + n);    
    
    for (int i = 0; i < n; i++) 
    {
        a[i] = pairt[i].first;
        b[i] = pairt[i].second;
    }
}


int main() 
{ 
	int n,k,g[n],g1[n];
	cin>>n>>k;
	
	int a[n],a1[n];
	for(int i=0;i<n;i++){
		cin>>a[i];
		g[i]=i;
		g1[i]=i;
		a1[i]=a[i];
	}
	
	pairsort(a1,g,n);
	
	int s=g[k-1];
	int resenje=a[s+1];
	int resenje1;
	
	for(int i=0;i<n;i++){
		if(k==a[0]) resenje=a[n-1];
	}
	
	cout<<resenje;
	
	
	
	
    return 0; 
}